# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyexiv2
Version:        0.3.2
Release:        30%{?dist}
Summary:        Python binding to exiv2

Group:          Development/Languages
License:        GPLv2+
URL:            http://tilloy.net/dev/pyexiv2/
Source0:        http://launchpad.net/pyexiv2/0.3.x/%{version}/+download/pyexiv2-%{version}.tar.bz2
Patch0:         http://tilloy.net/dev/pyexiv2-0.3.2-exiv2-0.18.2.patch
BuildRequires:  python-devel exiv2-devel boost-devel scons pytz

%description
pyexiv2 is a python binding to exiv2, the C++ library for manipulation
of EXIF and IPTC image metadata. It is a python module that allows your
python scripts to read and write metadata (EXIF, IPTC, thumbnail)
embedded in image files (JPEG, TIFF, ...).

%prep
%setup -q
%if 0%{?rhel} > 0 && 0%{?rhel} <= 7
%patch0 -p0 -b .exiv2-0182
%endif

%build
# Remove CFLAGS=... for noarch packages (unneeded)
#CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"
scons

%install
#%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"
scons DESTDIR=$RPM_BUILD_ROOT install

%check
pushd test
PYTHONPATH=$RPM_BUILD_ROOT%{python_sitearch}  ./TestsRunner.py
popd

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS doc/
%{python_sitearch}/*


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Jonathan Wakely <jwakely@redhat.com> - 0.3.2-28
- Rebuilt for s390x binutils bug

* Tue Jul 04 2017 Jonathan Wakely <jwakely@redhat.com> - 0.3.2-27
- Rebuilt for Boost 1.64

* Tue May 02 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-26
- rebuild (exiv2)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 0.3.2-24
- Rebuilt for Boost 1.63

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-23
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 0.3.2-21
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.3.2-20
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-19
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.3.2-18
- rebuild for Boost 1.58

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-17
- rebuild (exiv2)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.2-15
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.3.2-14
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.3.2-11
- rebuild for boost 1.55.0

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-10
- rebuild (exiv2)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.3.2-8
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.3.2-7
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.3.2-6
- Rebuild for Boost-1.53.0

* Wed Oct 17 2012 Matěj Cepl <mcepl@redhat.com> - 0.3.2-5
- Rebuild for new boost.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-3
- rebuild (exiv2)

* Mon Jan 9 2012 Matěj Cepl <mcepl@redhat.com> 0.3.2-2
- Applying upstream patch for 0.18.2 compatbility (#753322)

* Fri Dec 23 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2 and rebuild for new boost, drop upstreamed patch

* Wed Dec 14 2011 Matěj Cepl <mcepl@redhat.com> 0.3.1-2
- Make the package building with exiv 0.18.2 on EL-6 (#753322)

* Fri Nov 11 2011 'Matěj Cepl <mcepl@redhat.com>' - 0.3.1-1
- Add pytz to the BuildRequires (so that more tests are run).

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.3.0-6
- rebuild (exiv2)

* Sat Jul 30 2011 Matěj Cepl <mcepl@redhat.com> - 0.3.0-5
- Rebuilt against new libraries.

* Wed Apr 13 2011 Matěj Cepl <mcepl@redhat.com> - 0.3.0-4
- Rebuilt for new boost.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.3.0-2
- rebuild for new boost

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> -  0.3.0-1
- pyexiv2-0.3.0

* Mon Oct 25 2010 Matěj Cepl <mcepl@redhat.com> - 0.2.2-2
- Fixing unit tests.

* Wed Aug 25 2010 Matěj Cepl <mcepl@redhat.com> - 0.2.2-1
- New upstream package, switch to 0.2.* version

* Sat Aug  7 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1.3-11
- Rebuilt for new boost
- Small cosmetic changes - whitespace cleanups

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-9
- rebuild (exiv2)

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-8
- rebuild (boost)

* Fri Jan 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-7
- %%check: use unittests

* Fri Jan 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-6
- pyexiv2 FTBFS against exiv2-0.19 (#552281)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 08 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.3-4
-rebuild for new boot library

* Thu Apr 23 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.3-3
- executable library doesn't make sense

* Sat Apr 18 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.3-2
- Rebuild after exiv2 was fixed.

* Thu Apr 16 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.3-1
- New upstream release (closes bug 494419)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-9.1.20090109bzr107
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 09 2009 Matej Cepl <mcepl@redhat.com> 0.1.2-8.1.20090109bzr107
- New snapshot from upstream pyexiv2-0.2 branch in order to be compatible
  with the current package of exiv2.

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.1.2-6
- respin (eviv2)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.2-5
- Rebuild for Python 2.6

* Thu Sep 11 2008 Jesse Keating <jkeating@redhat.com> - 0.1.2-4
- Rebuild for deps

* Fri Jul 18 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-3
- Fix building system.
- Approved for Fedora

* Fri Jul 18 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2
- Dan's patch to fix compilation flags.

* Thu Jul 17 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-1
- initial build
